summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-admin/consul/files
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-admin/consul/files')
-rw-r--r--app-admin/consul/files/bootstrap.json.example4
-rw-r--r--app-admin/consul/files/consul.confd10
-rw-r--r--app-admin/consul/files/consul.initd40
-rw-r--r--app-admin/consul/files/consul.service16
-rw-r--r--app-admin/consul/files/data-dir.json.example3
-rw-r--r--app-admin/consul/files/ui-dir.json.example3
6 files changed, 76 insertions, 0 deletions
diff --git a/app-admin/consul/files/bootstrap.json.example b/app-admin/consul/files/bootstrap.json.example
new file mode 100644
index 000000000000..b7d573c0d2b3
--- /dev/null
+++ b/app-admin/consul/files/bootstrap.json.example
@@ -0,0 +1,4 @@
+{
+ "server": true,
+ "bootstrap_expect": 1
+}
diff --git a/app-admin/consul/files/consul.confd b/app-admin/consul/files/consul.confd
new file mode 100644
index 000000000000..b15e19c77013
--- /dev/null
+++ b/app-admin/consul/files/consul.confd
@@ -0,0 +1,10 @@
+# you can change the init script behavior by setting those parameters
+# - group (default: consul)
+# - pidfile (default: /run/consul/consul.pid)
+# - user (default: consul)
+
+# extra arguments for the consul agent
+command_args="-config-dir=/etc/consul.d"
+
+# upstream strongly recommends > 1
+GOMAXPROCS=2
diff --git a/app-admin/consul/files/consul.initd b/app-admin/consul/files/consul.initd
new file mode 100644
index 000000000000..1fb48d016aa1
--- /dev/null
+++ b/app-admin/consul/files/consul.initd
@@ -0,0 +1,40 @@
+#!/sbin/openrc-run
+# Copyright 2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+description="consul agent"
+extra_started_commands="reload"
+export GOMAXPROCS=${GOMAXPROCS:-2}
+group=${group:-${SVCNAME}}
+pidfile=${pidfile:-"/run/${SVCNAME}/${SVCNAME}.pid"}
+user=${user:-${SVCNAME}}
+
+command="/usr/bin/${SVCNAME}"
+command_args="agent -config-dir=/etc/consul.d ${command_args}"
+command_background="true"
+start_stop_daemon_args="--user ${user} --group ${group} \
+ --stdout /var/log/${SVCNAME}/${SVCNAME}.log \
+ --stderr /var/log/${SVCNAME}/${SVCNAME}.log"
+
+depend() {
+ need net
+ after net
+}
+
+reload() {
+ ebegin "Reloading ${SVCNAME}"
+ ${command} reload
+ eend $?
+}
+
+start_pre() {
+ checkpath -d -m 0755 -o "${user}":"${group}" "${pidfile%/*}"
+}
+
+stop() {
+ # SIGINT is required for graceful shutdown of consul agent
+ ebegin "Stopping ${SVCNAME}"
+ start-stop-daemon --stop --signal SIGINT --pidfile "${pidfile}"
+ eend $?
+}
diff --git a/app-admin/consul/files/consul.service b/app-admin/consul/files/consul.service
new file mode 100644
index 000000000000..496fe4814789
--- /dev/null
+++ b/app-admin/consul/files/consul.service
@@ -0,0 +1,16 @@
+[Unit]
+Description=consul agent
+Requires=network-online.target
+After=network-online.target
+
+[Service]
+User=consul
+Environment=GOMAXPROCS=2
+Environment=CONSUL_AGENT_OPTS="-config-dir=/etc/consul.d"
+ExecStart=/usr/bin/consul agent $CONSUL_AGENT_OPTS
+Restart=on-failure
+KillSignal=SIGINT
+ExecReload=/usr/bin/consul reload
+
+[Install]
+WantedBy=default.target
diff --git a/app-admin/consul/files/data-dir.json.example b/app-admin/consul/files/data-dir.json.example
new file mode 100644
index 000000000000..af162113af62
--- /dev/null
+++ b/app-admin/consul/files/data-dir.json.example
@@ -0,0 +1,3 @@
+{
+ "data_dir": "/var/lib/consul"
+}
diff --git a/app-admin/consul/files/ui-dir.json.example b/app-admin/consul/files/ui-dir.json.example
new file mode 100644
index 000000000000..e5cf7464b123
--- /dev/null
+++ b/app-admin/consul/files/ui-dir.json.example
@@ -0,0 +1,3 @@
+{
+ "ui_dir": "/var/lib/consul/ui"
+}